

// define codes of remote control
#define mute	0x27
#define power	0x07
#define tv_vcr	0x87
#define memo	0x4F
#define ch_p_c	0xE3
#define one		0x7F
#define two		0xBF
#define three	0x3F
#define four	0xDF
#define five	0x5F
#define six		0x9F
#define seven	0x1F
#define eight	0xEF
#define nine	0x6F
#define zero_ten	0xFF
#define one_eleven	0xAF
#define two_twelve	0x2F
#define r_red		0xA7
#define g_green		0xF7
#define b_blue		0x17
#define g_yellow	0xC3
#define ch_up		0xF3
#define ch_down		0xD3
#define Vol_up		0xE7
#define Vol_down	0xC7


// r,g,b PWM 
#define r	OCR1A
#define g 	OCR2
#define b   OCR1B




// some numbers of hue
#define red			0
#define yellow		60
#define green		120
#define light_blue	180
#define blue		240
#define violet		300

#define enable 	     0xFF
#define disable		 0x00
#define setting_mode 0x01

#define step_time_timer  2  
#define step_saturation  2
#define step_hue		 2



//define lenght of impulses remote control in mikroseconds

#define start_down		10000/step_time_timer
#define start_up		20000/step_time_timer
	
#define log_1_down		600/step_time_timer
#define log_1_up		1600/step_time_timer

#define	log_0_down		1700/step_time_timer
#define	log_0_up		3000/step_time_timer

#define start_delay		130000/step_time_timer


// max is 11 7000s=195min;

#define speed_1	 20000/184  //20000=10seconds, 184=360*0,51ms
#define speed_2	 40000/184 	
#define speed_3	 60000/184 
#define speed_4	 80000/184 
#define speed_5	 100000/184 
#define speed_6  120000/184 
#define speed_7  140000/184 
#define speed_8  160000/184 
#define speed_9  180000/184 
#define speed_10 200000/184 


void HSVtoRGB(unsigned int h, unsigned char s, unsigned char v );
void wake_up(void);
void go_sleep(void);
void push_button(uint8_t);
uint8_t linear_value(uint8_t);
